Nessun aggiornamento

13 risposte [Ultimo contenuto]
Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

Ciao forum,
sono diverse settimane (un mesetto) che la mia Debian 9 non riceve nemmeno un aggiornamento.

Il sources.list è il seguente, default proveniente dalla debian 8.

deb http://ftp.it.debian.org/debian/ stretch non-free contrib main
deb-src http://ftp.it.debian.org/debian/ stretch main contrib non-free
 
deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free
 
# stretch-updates, previously known as 'volatile'
deb http://ftp.it.debian.org/debian/ stretch-updates non-free contrib main
deb-src http://ftp.it.debian.org/debian/ stretch-updates non-free contrib main
 
# stretch-backports
deb http://ftp.debian.org/debian/ stretch-backports non-free contrib main

Onestamente non aggiorno a cadenza fissa, ma non ricordo periodi così lunghi senza nuovi aggiornamenti. Non ne sono proprio usciti?

Aggiornando esce così:

root@i7:/home/rousou# apt update
Trovato:1 http://ftp.debian.org/debian stretch-backports InRelease
Trovato:2 http://security.debian.org stretch/updates InRelease
Ign:3 http://ftp.it.debian.org/debian stretch InRelease
Trovato:4 http://ftp.it.debian.org/debian stretch-updates InRelease
Trovato:5 http://ftp.it.debian.org/debian stretch Release
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Tutti i pacchetti sono aggiornati.

Ritratto di thece
thece
(Geek)
Offline
Geek
Iscritto: 12/05/2015
Messaggi: 86

Wave

se non ricordo male l'ultimo aggiornamento l'ho visto proprio ieri sera. Comunque da un mese a questa parte ce ne sono stati di sicuro.

Questo è il mio /etc/apt/sources.list

deb http://deb.debian.org/debian stretch main contrib non-free
# deb-src http://deb.debian.org/debian stretch main contrib non-free
 
deb http://deb.debian.org/debian stretch-updates main contrib non-free
# deb-src http://deb.debian.org/debian stretch-updates main contrib non-free
 
deb http://security.debian.org/ stretch/updates main contrib non-free
# deb-src http://security.debian.org/ stretch/updates main contrib non-free
 
# deb http://deb.debian.org/debian stretch-backports main contrib non-free
# deb-src http://deb.debian.org/debian stretch-backports main contrib non-free

Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

Non so che dire...

O mi sta aggiornando da solo senza notificare o non sta aggiornando affatto...c'è qualche modo per fare un controllo? Raised Eyebrow

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2918

Il comando "apt update" serve per scaricare la lista aggiornata dei pacchetti. Il comando per l'aggiornamento dei pacchetti è "apt upgrade".

Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

Ok, grazie. Smug
Ma per verificare lo stato dei miei pacchetti come posso fare? Esiste nel web una changelist dei pacchetti stable, con relativa data di rilascio in modo che io possa confrontare i miei numeri di versione?

root@i7:/home/rousou# apt upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
root@i7:/home/rousou# 

EDIT:
ho fatto qualche verifica su https://packages.debian.org/stretch/ prendendo dei pacchetti un po' "a caso" e le versioni coincidono. Possibile che si aggiorni da solo? Thinking

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2918

Fammi capire... vorresti confrontare a mano la lista dei pacchetti installati con quella dei pacchetti disponibili, quando sei davanti a un computer, un attrezzo inventato dall'uomo per processare liste? Smile

Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

mcortese ha scritto:

Fammi capire... vorresti confrontare a mano la lista dei pacchetti installati con quella dei pacchetti disponibili, quando sei davanti a un computer, un attrezzo inventato dall'uomo per processare liste? Smile

Voglio la certezza di avere il sistema aggiornato: se sei in grado di confermare l'output di APT in un modo automatico mi faresti un favore a scrivermelo invece che deridermi Big Hug

Ritratto di thece
thece
(Geek)
Offline
Geek
Iscritto: 12/05/2015
Messaggi: 86

Questi pacchetti sono stati aggiornati ieri, quantomeno sul mio PC

dpkg -l | grep libmagic
 
ii  libmagic-mgc                                                1:5.30-1+deb9u1                            amd64        File type determination library using "magic" numbers (compiled magic file)
ii  libmagic1:amd64                                             1:5.30-1+deb9u1                            amd64        Recognize the type of data in a file using "magic" numbers - library
ii  libmagick++-6.q16-7:amd64                                   8:6.9.7.4+dfsg-11+deb9u1                   amd64        C++ interface to ImageMagick -- quantum depth Q16
ii  libmagickcore-6.q16-3:amd64                                 8:6.9.7.4+dfsg-11+deb9u1                   amd64        low-level image manipulation library -- quantum depth Q16
ii  libmagickcore-6.q16-3-extra:amd64                           8:6.9.7.4+dfsg-11+deb9u1                   amd64        low-level image manipulation library - extra codecs (Q16)
ii  libmagickwand-6.q16-3:amd64                                 8:6.9.7.4+dfsg-11+deb9u1                   amd64        image manipulation library -- quantum depth Q16

La versione del pacchetto è la seconda colonna

Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

dpkg -l | grep libmagic
 
ii  libmagic-mgc                          1:5.30-1+deb9u1                             amd64        File type determination library using "magic" numbers (compiled magic file)
ii  libmagic1:amd64                       1:5.30-1+deb9u1                             amd64        Recognize the type of data in a file using "magic" numbers - library
ii  libmagick++-6.q16-7:amd64             8:6.9.7.4+dfsg-11+deb9u1                    amd64        C++ interface to ImageMagick -- quantum depth Q16
rc  libmagickcore-6.q16-2:amd64           8:6.8.9.9-5+deb8u9                          amd64        low-level image manipulation library -- quantum depth Q16
ii  libmagickcore-6.q16-3:amd64           8:6.9.7.4+dfsg-11+deb9u1                    amd64        low-level image manipulation library -- quantum depth Q16
ii  libmagickcore-6.q16-3-extra:amd64     8:6.9.7.4+dfsg-11+deb9u1                    amd64        low-level image manipulation library - extra codecs (Q16)
rc  libmagickwand-6.q16-2:amd64           8:6.8.9.9-5+deb8u9                          amd64        image manipulation library
ii  libmagickwand-6.q16-3:amd64           8:6.9.7.4+dfsg-11+deb9u1                    amd64        image manipulation library -- quantum depth Q16

Questa cosa sta cominciando a diventare strana forte Confused

EDIT:

Ho trovato installato il pacchetto unattended-upgrades. Possibile che sia sua la colpa? Non mi ricordo mica di averlo installato Nail Biting

Ritratto di thece
thece
(Geek)
Offline
Geek
Iscritto: 12/05/2015
Messaggi: 86

Io non ci vedo nulla di strano. Hai la mia stessa versione dei pacchetti. La differenza con il mio output è data dal fatto che tu hai installati dei "residui" di versioni precedenti del pacchetto, sono quelli contrassegnati con (rc), che io non ho.

Anche io ho il pacchetto unattended-upgrades installato. Nel mio caso è stato sicuramente installato in fase di setup del sistema, di sicuro non l'ho installato manualmente.

Ritratto di rousou
rousou
(Junior)
Offline
Junior
Iscritto: 29/04/2008
Messaggi: 12

Scusami, intendevo che è strano che si aggiorni da solo. Non mi ero accorto di aver installato unattended-upgrades. A questo punto pare che sia tutto a posto Big Grin pare